List database backups
List all the database backups.
GET/api/backups/database
List all database backups
This endpoint returns all database backups configured in your account.
Optional query parameters
- Name
server- Type
- integer
- Description
Only return backups for this server id.
- Name
site- Type
- integer
- Description
Only return backups for databases linked to this site id.
- Name
per_page- Type
- integer
- Description
The amount of backups to return per page, defaults to 15 with a maximum of 50.
Request
GET
/api/backups/databasecurl -G "https://ploi.io/api/backups/database" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json" \
-H "Accept: application/json"
Response
{
"data": [
{
"id": 1,
"status": "active",
"label": "My AWS provider",
"type": "aws-s3",
"type_human": "AWS S3",
"path": "/",
"remote_path": "/",
"locations": null,
"interval": 0,
"table_exclusions": null,
"keep_backup_amount": 0,
"active": true,
"server": {
"id": 1,
"name": "dizzy-leaf"
},
"database": {
"id": 1,
"name": "wordpress_blog"
},
"last_backup_at": "2024-08-01 00:00:00",
"created_at": "2024-08-01 00:00:00"
}
],
"links": {
"first": "https://ploi.io/api/backups/database?database_page=1",
"last": "https://ploi.io/api/backups/database?database_page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://ploi.io/api/backups/database",
"per_page": 15,
"to": 1,
"total": 1
}
}